Skip to main content
GET
/
usage
Usage data
curl --request GET \
  --url https://render.joinmassive.com/usage \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://render.joinmassive.com/usage"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://render.joinmassive.com/usage', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "email": "user@example.com",
    "from": "2025-12-25T00:00:00+00:00",
    "to": "2025-12-25T15:00:00+00:00",
    "service": "browser",
    "result": "success",
    "calls": 17208,
    "credits": 17208,
    "meanSecs": 6.78
  }
]
"Authorization header must be provided"
"Valid API token must be provided"
"Character counts must be no more than 255"
"Rate limit was exceeded; please retry in 180 seconds"
"Unknown error occurred"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date-time>
required

The ISO datetime to select data starting from, inclusively.

Example:

"2025-12-24T18:00:00-06:00"

to
string<date-time>
required

The ISO datetime to select data up to, inclusively.

Example:

"2025-12-25T9:00:00-06:00"

email
string<email>[]

[Whitelabelers only] The (case-insensitive) email address of the user whose data to select; multiple addresses can be provided by repeating the key; data for all addresses is selected by default.

service
enum<string>[]

The service to select data for; multiple services can be provided by repeating the key; data for all services is selected by default.

Minimum array length: 1
Available options:
search,
browser
Example:
["search", "browser"]
by
enum<string>
default:total

The time unit to group the data by.

Available options:
hour,
day (planned),
total
Example:

"total"

Response

The hourly report.

email
string<email>
required

The email address of the user whose data is selected.

Example:

"user@example.com"

from
string<date-time>
required

The ISO datetime of the first datapoint.

Example:

"2025-12-25T00:00:00+00:00"

to
string<date-time>
required

The ISO datetime of the last datapoint.

Example:

"2025-12-25T15:00:00+00:00"

service
enum<string>
required

The service included in the data.

Available options:
search,
browser
Example:

"browser"

result
enum<string>
required

The type of result included in the data.

Available options:
success,
failure
Example:

"success"

calls
integer
required

The number of API calls of the service and result type.

Required range: x >= 1
Example:

17208

credits
integer
required

The number of credits consumed by the API calls.

Required range: x >= 0
Example:

17208

meanSecs
number
required

The average number of elapsed seconds of the API calls.

Required range: x >= 0
Example:

6.78